Subject: Re: [PATCH v2 0/3] get rid of sscanf() when shortening refs

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Feb 2023 10:00:45 -0800

Jeff King <[email-masked]> writes:

>     +      - scanf's matching of "%s" is greedy. So the "refs/remotes/%s/HEAD"
>     +        rule would never pull "origin" out of "refs/remotes/origin/HEAD".
>     +        Instead it always produced "origin/HEAD", which is redundant with
>     +        the "refs/remotes/%s" rule.

Wow, that thing is new.  Fixing it may break expectations by
existing script by end-users, but it may probably be OK.

Everything looks good.